using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public class MySiteMapProvider : XmlSiteMapProvider
{
	public MySiteMapProvider()
	{
	}

	// indique pour chaque noeud si l'utilisateur y a accès
	public override bool IsAccessibleToUser(HttpContext context, SiteMapNode node)
	{
		if (!base.SecurityTrimmingEnabled)
			return true;

		return Roles.IsUserInRole(node.Roles[0].ToString());		
	}

}

